// Code generated by mockery v2.20.0. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	pipeline "gitlab.com/infor-cloud/martian-cloud/phobos/phobos-plugin-sdk/framework/pipeline"
)

// Action is an autogenerated mock type for the Action type
type Action struct {
	mock.Mock
}

// ExecuteFunc provides a mock function with given fields:
func (_m *Action) ExecuteFunc() interface{} {
	ret := _m.Called()

	var r0 interface{}
	if rf, ok := ret.Get(0).(func() interface{}); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(interface{})
		}
	}

	return r0
}

// Metadata provides a mock function with given fields:
func (_m *Action) Metadata() *pipeline.ActionMetadata {
	ret := _m.Called()

	var r0 *pipeline.ActionMetadata
	if rf, ok := ret.Get(0).(func() *pipeline.ActionMetadata); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*pipeline.ActionMetadata)
		}
	}

	return r0
}

type mockConstructorTestingTNewAction interface {
	mock.TestingT
	Cleanup(func())
}

// NewAction creates a new instance of Action. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewAction(t mockConstructorTestingTNewAction) *Action {
	mock := &Action{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
